Forgot Password
POST
/auth/forgot-password
const url = 'https://example.com/auth/forgot-password';const options = { method: 'POST', headers: {'Content-Type': 'application/json'},};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/auth/forgot-password \ --header 'Content-Type: application/json' \Request a password reset. Always returns 202 regardless of whether the email exists (no account enumeration). If it does, a single-use reset link is emailed.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ForgotPasswordRequest
object
email
required
Email
string format: email
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Forgot Password Auth Forgot Password Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}